Skip to main content
GET
/
v5
/
clientMgmt
/
businesses
Get businesses
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/clientMgmt/businesses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "<string>",
      "bizType": "CONSULTANT",
      "id": 123,
      "firstName": "<string>",
      "lastName": "<string>",
      "showFirstLastName": true,
      "showName": true,
      "email": "<string>",
      "showEmail": true,
      "phoneWork": "<string>",
      "showPhoneWork": true,
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zip": "<string>",
      "showAddress": true,
      "invoicePrefix": "<string>",
      "status": "ACTIVE",
      "invoiceClientInfoDefaults": {
        "showClientEmail": true,
        "showClientName": true,
        "showClientBusinessName": true,
        "showClientAddress": true,
        "showClientPhoneWork": true
      }
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter (YYYY-MM-DD) - returns all records updated after the specified date. Null returns all data

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

status
enum<string>[]

Status filter - returns all businesses for the specified statuses. Null or empty list will default to ACTIVE.

Available options:
ACTIVE,
INACTIVE

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate